Package org.spongepowered.asm.mixin.injection.selectors

## Interface ITargetSelectorConstructor

All Superinterfaces:
  `ITargetSelector`, `ITargetSelectorByName`

All Known Implementing Classes:
  `MemberInfo`

    public interface ITargetSelectorConstructor
    extends ITargetSelectorByName

A target selector which can identify constructor types

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelector

`ITargetSelector.Configure`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `toCtorDesc()` Returns the constructor descriptor represented by this selector, returns null if no descriptor is present.
`java.lang.String` `toCtorType()` Returns the constructor type represented by this selector

### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelector

`attach, configure, getMaxMatchCount, getMinMatchCount, match, next, validate`

### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelectorByName

`getDesc, getName, getOwner, matches, toDescriptor`

### Method Detail

#### toCtorType

    java.lang.String toCtorType()

Returns the constructor type represented by this selector

#### toCtorDesc

    java.lang.String toCtorDesc()

Returns the constructor descriptor represented by this selector, returns null if no descriptor is present.